%define tagver %(echo %version | tr . _)
Name:          appstream-glib
Version:       0.7.14
Release:       1mamba
Summary:       A library that provides GObjects and helper methods to make it easy to read and write AppStream metadata
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/hughsie/appstream-glib
## GITSOURCE https://github.com/hughsie/appstream-glib.git appstream_glib_0_2_5
Source:        https://github.com/hughsie/appstream-glib.git/appstream_glib_%{tagver}/appstream-glib-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libjson-glib-devel
BuildRequires: libpango-devel
BuildRequires: libsoup-devel
BuildRequires: libstemmer-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
BuildRequires: gcab
Provides:      appdata-tools
Obsoletes:     appdata-tools
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This library provides GObjects and helper methods to make it easy to read and write AppStream metadata. It also provides a simple DOM implementation that makes it easy to edit nodes and convert to and from the standardized XML representation.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%meson \
   -Dgtk-doc=true \
   -Dstemmer=true \
   -Ddep11=false \
   -Drpm=false

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DESTDIR=%{buildroot}
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/appstream-compose
%{_bindir}/appstream-builder
%{_bindir}/appstream-util
%{_datadir}/bash-completion/completions/appstream-builder
%{_datadir}/bash-completion/completions/appstream-util
%{_datadir}/installed-tests/appstream-glib/appdata-validate.test
%{_datadir}/installed-tests/appstream-glib/destdir-check.test
%{_datadir}/gettext/its/appdata.*
%{_mandir}/man1/appstream-*.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libappstream-builder.so.*
%{_libdir}/libappstream-glib.so.*
%{_libdir}/girepository-1.0/AppStreamBuilder-1.0.typelib
%{_libdir}/girepository-1.0/AppStreamGlib-1.0.typelib
%dir %{_libdir}/asb-plugins-*
%{_libdir}/asb-plugins-*/libasb_plugin_*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/libappstream-builder
%{_includedir}/libappstream-builder/*.h
%dir %{_includedir}/libappstream-glib
%{_includedir}/libappstream-glib/*.h
%{_libdir}/libappstream-builder.so
%{_libdir}/libappstream-glib.so
%{_libdir}/pkgconfig/appstream-builder.pc
%{_libdir}/pkgconfig/appstream-glib.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/gir-1.0/AppStreamBuilder-1.0.gir
%{_datadir}/gir-1.0/AppStreamGlib-1.0.gir
%dir %{_datadir}/gtk-doc/html/appstream-glib
%{_datadir}/gtk-doc/html/appstream-glib/*
%doc NEWS README.md

%changelog
* Thu Oct 25 2018 Automatic Build System <autodist@mambasoft.it> 0.7.14-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 0.7.13-1mamba
- automatic version update by autodist

* Sat Sep 15 2018 Automatic Build System <autodist@mambasoft.it> 0.7.12-1mamba
- automatic version update by autodist

* Sun Aug 12 2018 Automatic Build System <autodist@mambasoft.it> 0.7.10-1mamba
- automatic version update by autodist

* Fri May 12 2017 Automatic Build System <autodist@mambasoft.it> 0.6.13-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 0.6.11-1mamba
- automatic version update by autodist

* Wed Mar 08 2017 Automatic Build System <autodist@mambasoft.it> 0.6.10-1mamba
- automatic version update by autodist

* Tue Nov 08 2016 Automatic Build System <autodist@mambasoft.it> 0.6.5-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 0.6.3-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 0.5.17-1mamba
- automatic version update by autodist

* Thu May 05 2016 Automatic Build System <autodist@mambasoft.it> 0.5.12-1mamba
- automatic version update by autodist

* Sat Mar 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-2mamba
- provide/obsolete appdata-tools

* Sat Feb 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- update to 0.4.1

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Wed Aug 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-1mamba
- package created using the webbuild interface
